/*
 * Java Othello Openings Applet
 * Copyright (C) 2000 Bill Lorton
 * email: hogarth1@yahoo.com
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/**
 *
 * A single linked list that can contain an OTNode object.
 *
 * @version 1.00
 * @author Bill Lorton
 */
class ListItem extends Node {
  private OTNode _otnode;

  public ListItem() { _otnode = null; }

  /**
   *
   * Sets the opening tree node of this list item.
   *
   * @param otn the node to set
   */
  public void setOTNode(OTNode otn) { _otnode = otn; }

  /**
   *
   * Gets the opening tree node for this list item.
   *
   * @return the node
   *
   */
  public OTNode otNode() { return _otnode; }
}

